/*
 * config.h.in -- Configuration for PGPlib. This file contains
 * the configuration information for PGP, and it should be
 * included in all PGP source files.
 *
 * Copyright (C) 1996,1997 Pretty Good Privacy, Inc. All rights reserved.
 *
 * $Id: config.h.in,v 1.12.2.4.2.2 1997/08/23 00:42:41 quark Exp $
 */

/* Define to empty if the compiler does not support 'const' variables. */
/* #undef const */

/* Define to `long' if <sys/types.h> doesn't define. */
/* #undef off_t */

/* Define to `unsigned' if <sys/types.h> doesn't define. */
/* #undef size_t */

/* Define if you have the ANSI C header files. */
#define STDC_HEADERS 0

/* Checks for various specific header files */
#define HAVE_FCNTL_H 0
#define HAVE_LIMITS_H 0
#define HAVE_STDARG_H 0
#define HAVE_STDLIB_H 0
#undef HAVE_UNISTD_H
#undef HAVE_SYS_IOCTL_H
#undef HAVE_SYS_TIME_H
#define HAVE_SYS_TIMEB_H 0
#undef HAVE_SYS_PARAM_H
#define HAVE_SYS_STAT_H 0
#undef HAVE_ARPA_INET_H

/* Check if <sys/time.h> is broken and #includes <time.h> wrong */
#define TIME_WITH_SYS_TIME 0

/* Checks for various functions */
#define HAVE_GETHRTIME 0
#define HAVE_CLOCK_GETTIME 0
#define HAVE_CLOCK_GETRES 0
#define HAVE_GETTIMEOFDAY 0
#define HAVE_GETITIMER 0
#define HAVE_SETITIMER 0
#define HAVE_FTIME 0
#define HAVE_MKSTEMP 0

/* Checks for our style of unsigned typedefs */
#define HAVE_UCHAR 0
#define HAVE_USHORT 0
#define HAVE_UINT 0
#define HAVE_ULONG 0

#ifndef USE_RSAREF_FULL
#define USE_RSAREF_FULL 0
#endif

#ifndef USE_RSA_LEGACY
#define USE_RSA_LEGACY 0
#endif

#ifndef NO_RSA
#define NO_RSA 0
#endif

#ifndef NO_RSA_KEYGEN
#define NO_RSA_KEYGEN 0
#endif

#ifndef USE_MPI_LIB
#define USE_MPI_LIB 1
#endif

/*The licensing level to include.  1 is Freeware, 2 is Beta, 3 is Full*/
#define LICENSE 1

#ifndef PGP_FREEWARE
#define PGP_FREEWARE 1
#endif

/* Define "UNIX" if we are on UNIX and "UNIX" is not already defined */
#if defined(unix) || defined(__unix) || defined (__unix__)
#ifndef UNIX
#define UNIX 1
#endif
#endif

#if defined(__WATCOMC__) && defined(__DOS__)
#define NO_POPEN
#endif

/* Tags for exported functions, needed for dynamic linking on some platforms */
#define PGPExport
#define PGPTTYExport
#define PGPKDBExport
#define SPGPExport
